Skip to content

developer.cleanupTest

POST
/v1/developer/tests/{id}/cleanup
curl --request POST \
--url https://example.com/v1/developer/tests/example/cleanup \
--header 'Authorization: Bearer <token>'
id
required
string

Success

Media typeapplication/json
object
id
required
string
cardUrl
required
string
candidate
required
object
cardUrl
required
string
card
required
object
$schema
required
string
Allowed values: https://static.modelcontextprotocol.io/schemas/v1/server-card.schema.json
name
required
string
>= 2 characters <= 200 characters
version
required
string
>= 1 characters <= 255 characters
description
required
string
>= 1 characters <= 100 characters
title
Any of:
string
>= 1 characters <= 100 characters
websiteUrl
Any of:
string
repository
Any of:
object
url
required
string
source
required
string
subfolder
Any of:
string
id
Any of:
string
icons
Any of:
Array<object>
object
src
required
string
mimeType
Any of:
string
sizes
Any of:
Array<string>
theme
Any of:
string
Allowed values: light dark
remotes
Any of:
Array<object>
object
type
required
string
Allowed values: streamable-http sse
url
required
string
headers
Any of:
Array<object>
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
name
required
string
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
supportedProtocolVersions
Any of:
Array<string>
_meta
Any of:
object
endpoints
required
Array<object>
object
index
required
integer
<= 9007199254740991
remote
required
object
type
required
string
Allowed values: streamable-http sse
url
required
string
headers
Any of:
Array<object>
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
name
required
string
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
supportedProtocolVersions
Any of:
Array<string>
requirements
required
Array<object>
object
key
required
string
description
Any of:
string
isSecret
required
boolean
format
Any of:
string
choices
Any of:
Array<string>
sources
required
Array<object>
object
role
required
string
Allowed values: input page catalog card endpoint manual
url
required
string
originalInput
Any of:
string
remoteIndex
required
integer
<= 9007199254740991
endpoint
required
Any of:
string
configurationKeys
required
Array<string>
issuers
required
Array<string>
requestedScopes
required
Array<string>
createdAt
required
number
expiresAt
required
number
status
required
string
Allowed values: Queued Running AwaitingConfiguration AwaitingAuthorization Succeeded Failed Cancelled Interrupted
checkedAt
required
Any of:
number
stages
required
Array<object>
object
name
required
string
Allowed values: configuration negotiation tools resources resourceTemplates prompts
status
required
string
Allowed values: Passed Failed NotAdvertised NotChecked
items
required
Array<object>
object
reason
required
Any of:
string
cleanup
required
string
Allowed values: NotRequired Pending Complete
cleanupRemote
required
string
Allowed values: NotRequired Pending Complete LocalOnly
cleanupLocal
required
string
Allowed values: Pending Complete
authorization
required
Any of:
object
flowId
required
string
status
required
string
Allowed values: Waiting Received Exchanging Succeeded Failed Cancelled Expired
issuer
required
string
resource
required
string
scopes
required
Array<string>
expiresAt
required
number
authorizationUrl
required
string
reason
required
Any of:
string

Example

{
"candidate": {
"card": {
"$schema": "https://static.modelcontextprotocol.io/schemas/v1/server-card.schema.json",
"icons": [
{
"theme": "light"
}
],
"remotes": [
{
"type": "streamable-http",
"headers": [
{
"format": "string",
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
],
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
]
},
"endpoints": [
{
"remote": {
"type": "streamable-http",
"headers": [
{
"format": "string",
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
],
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
}
],
"sources": [
{
"role": "input"
}
]
},
"status": "Queued",
"stages": [
{
"name": "configuration",
"status": "Passed"
}
],
"cleanup": "NotRequired",
"cleanupRemote": "NotRequired",
"cleanupLocal": "Pending",
"authorization": {
"status": "Waiting"
}
}

DeveloperInputInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: DeveloperInputInvalid
message
required
string
keys
Array<string>

Example

{
"_tag": "DeveloperInputInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

DeveloperRestricted | DeveloperForbidden | PermissionDenied | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: DeveloperRestricted
restriction
required
object
cardUrl
required
string
reason
required
string
>= 1 characters
appealUrl
required
string

Example

{
"_tag": "DeveloperRestricted"
}

DeveloperNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: DeveloperNotFound

Example

{
"_tag": "DeveloperNotFound"
}

DeveloperConflict

Media typeapplication/json
object
_tag
required
string
Allowed values: DeveloperConflict
reason
required
string

Example

{
"_tag": "DeveloperConflict"
}

DeveloperUnavailable | AuthorizationUnavailable | AuthenticationUnavailable

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: DeveloperUnavailable

Example

{
"_tag": "DeveloperUnavailable"
}